Last Comment Bug 987947 - OOM: Check NewCompilerConstraintList() return
: OOM: Check NewCompilerConstraintList() return
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: mozilla31
Assigned To: Sean Stangl [:sstangl]
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks: 912928
  Show dependency treegraph
 
Reported: 2014-03-25 13:03 PDT by Sean Stangl [:sstangl]
Modified: 2014-04-03 05:16 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (870 bytes, patch)
2014-03-25 13:03 PDT, Sean Stangl [:sstangl]
efaustbmo: review+
Details | Diff | Splinter Review

Description User image Sean Stangl [:sstangl] 2014-03-25 13:03:19 PDT
Created attachment 8396653 [details] [diff] [review]
patch

Simple fix. Not SS.
Comment 1 User image Sean Stangl [:sstangl] 2014-03-25 13:03:58 PDT
Testcase from decoder (js__types__TypeScript__FreezeTypeSets.txt).
Comment 2 User image Sean Stangl [:sstangl] 2014-04-02 14:18:09 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/bf2800ef6d34

Probably runs into something from jorendorff, but this is the last of the OOM bugs that I looked into, and the rest can probably be fixed in one fell swoop. I won't touch any more.
Comment 3 User image Carsten Book [:Tomcat] 2014-04-03 05:16:50 PDT
https://hg.mozilla.org/mozilla-central/rev/bf2800ef6d34

Note You need to log in before you can comment on or make changes to this bug.